Redmine - Defect #6591

Acronyms must have a minimum of three characters

2010-10-07 04:09 - Jeffrey Jones

Status: Closed Start date: 2010-10-07
Priority: Low Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 1.1.0

Resolution: Fixed Affected version:

Description

On the Wiki the following gets turned into an Acronym
JPL
but

HA

does not. | can think of loads of terms with two letter acronyms which could do with being displayed as such therefore | think we
should be able to use 2 letter acronyms and have them converted on the wiki pages.

Associated revisions

Revision 4374 - 2010-11-06 14:29 - Jean-Philippe Lang

Makes textile formatter accept 2 letters acronym (#6591).

History

#1 - 2010-10-07 18:01 - Holger Just
The relevant Regex is in source:trunk/lib/redcloth3.rb#l 459.

#2 - 2010-11-06 14:23 - Jean-Philippe Lang

- Category changed from Wiki to Text formatting
- Status changed from New to Closed

- Target version set to 1.1.0

- Resolution set to Fixed

Fixed in r4374. 2 letters acronyms are now accepted.
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redcloth3.rb#L459
https://www.redmine.org/projects/redmine/repository/svn/revisions/4374
http://www.tcpdf.org

